<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 5;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'kurseproseite';
$setting->description = 'Angezeigte Kurse pro Seite';
$setting->help = 'Eingabe der Anzahl der Kurse pro Seite.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'seitenwahlanz';
$setting->description = 'Anzahl der Indizes für die Seitenauswahlleiste';
$setting->help = 'Die Seitenauswahlleiste wird z. B. wie folgt dargestellt: '
  . '"Seiten: 1 | 2 | 3 | 4 | 5 | 6 | 7". '
  . 'Hier kann die Anzahl der Seitenindizes (im Bsp. 7), die in der '
  . 'Seitenauswahlleiste angezeigt werden, eingegeben werden. ';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'checkBlaetternExportVar';
$setting->description = 'Ausgabe der Blätterntasten über Exportvariablen';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting(); 
$setting->name = 'colorkurseausf';
$setting->description = 'Farbe für ausgefallene Kurse';
$setting->help = 'Die Einstellung "ausblenden" wirkt sich global auf KuferWEB aus, ist z.B. durch Suchparameter nicht übersteuerbar.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'beendeteKurseAusblenden';
$setting->description = '(beendete) Kurse ausblenden';
$setting->help = 'Diese Einstellung wirkt sich global auf KuferWEB aus, ist z.B. durch Suchparameter nicht übersteuerbar.<br>'
        . 'Bitte beachten Sie, dass diese Einstellung nicht restriktiver sein sollte, als die unter "Layout / Kurshighlights / Allgemein / (beendete) Kurse ausblenden".';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'nein',
  'ende_dat' => 'nach Kursendedatum des Kurses',
  'kurstag_ende_dat' => 'nach Datum des letzten Kurstages <br>(Achtung: Kurse ohne Kurstage werden nicht angezeigt!)',
  'beginn_dat' => 'nach Beginndatum des Kurses +x Tage',
  'beginn_oder_endedat' => 'nach Beginndatum +x Tage oder Kursendedatum <br>(je nachdem, was eher ist)'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'beendeteKurseOffset';
$setting->description = 'Beginndatum +x Tage bei (beendete) Kurse ausblenden';
$setting->help = 'Wenn bei "beendete Kurse ausblenden" eine der Optionen "nach Beginndatum des Kurses +x Tage" oder "nach Beginndatum +x Tage oder Kursendedatum" gewählt ist, muss hier das "x" angegeben werden. Mit negativen Werten blendet man den Kurs bereits vor Kursbeginn aus.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
$setting->config->allowNegative = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'ausgebuchteKurseAusblenden';
$setting->description = 'ausgebuchte Kurse ausblenden';
$setting->help = 'Diese Einstellung wirkt sich global auf KuferWEB aus, ist z.B. durch Suchparameter nicht übersteuerbar.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);


if (defined('ADMIN_SHOW_PAGE')) {
  $dbwCat = DBWorkCategories::getDefaultInstance();
  $cats = $dbwCat->getCategories();
  $catlist = array('--- Kategorie auswählen ---');
  foreach ($cats as $cat) {
    $catlist[$cat->id] = \CleanOperations::cleanStringForHtml($cat->text);
  }
} else {
  $catlist = array();
}
$setting = new Setting();
$setting->name = 'sqlRestrictionKeineKurseDieserKat';
$setting->description = 'Kategorie für Nicht-Frontend-User ausblenden';
$setting->help = 'Kurse dieser Kategorie, bzw. deren Unterkategorien, werden ausgeblendet, wenn der Besucher nicht als TYPO3 Frontend User eingeloggt ist. '
        . 'Diese Einstellung wirkt sich global auf KuferWEB aus, ist z.B. durch Suchparameter nicht übersteuerbar.' . BR
        . 'Mit der Variablen {%k_isfpkurs%} lässt sich in den Kurs-Sichten abfragen, ob der Kurs hiervon betroffen ist.' . BR
        . 'Bitte beachten Sie, dass der Haken bei Einstellungen / Navigationsmenü/Kategorien / "Leere Kategorien anzeigen" <b>NICHT</b> gesetzt sein sollte, wenn hier eine Kategorie ausgewählt ist. '
        . 'Ansonsten wird diese Kategorie nämlich auch nicht eingeloggten Personen angezeigt (Kategorienübersicht, Such-Kategorienauswahl).';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = $catlist;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sqlRestrictionKurseNurFuerTnMitKennzVon';
$setting->description = 'Kurse anhand Kennzeichen verstecken - Untergrenze';
$setting->help = 'Kurse mit Kennzeichen aus diesem Bereich werden nur Teilnehmern angezeigt, denen dasselbe Kennzeichen zugeordnet ist.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 5;
$setting->config->allowNegative = false;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sqlRestrictionKurseNurFuerTnMitKennzBis';
$setting->description = 'Kurse anhand Kennzeichen verstecken - Obergrenze';
$setting->help = 'Kurse mit Kennzeichen aus diesem Bereich werden nur Teilnehmern angezeigt, denen dasselbe Kennzeichen zugeordnet ist.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 5;
$setting->config->allowNegative = false;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'katfilterBegonneneOffset';
$setting->description = 'Filter Kursübersicht begonnen seit x Tagen';
$setting->help = 'Falls der "Keine begonnenen Kurse" Filter gesetzt ist, so kann hier eine Abweichung zum Kursdatum angegeben werden. '
  . 'Bei "7" würden Kurse auch noch angezeigt werden, die seit maximal einer Woche laufen. Mit negativen Werten blendet man auch Kurse aus, '
  . 'die erst noch beginnen. Zum Beispiel bei "-1" werden Kurse ab morgen angezeigt.<br>'
  . 'Ab Version 4.20.71.01 wird diese Einstellung auch beim Parameter "begonneneKurse" berücksichtigt.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
$setting->config->allowNegative = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'removeAbbr';
$setting->description = '&lt;abbr&gt;-Tag entfernen';
$setting->help = 'Deaktiviert den &lt;abbr&gt;-Tag bei kurzen Wochentagen.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'anzahlLastMinuteTage';
$setting->description = 'Anzahl Last-Minute Tage';
$setting->help = 'Beim Nutzen der Last-Minute Funktion werden Veranstaltungen, berücksichtigt, die innerhalb der hier angegebenen Tage beginnen. '
  . '(Sie sind für das Internet freigegeben, nicht ausgefallen, nicht abgeschlossen und es ist noch mindestens ein Platz frei.)';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'lastMinuteNichtAnmeldbareKurseAusblenden';
$setting->description = 'Last-Minute: Kurse ausblenden, die nicht zur Anmeldung freigegeben sind';
$setting->help = '';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'marqueetext';
$setting->description = 'Text der Laufschrift';
$setting->help = 'Sie können hier einen Text eingeben, der als Laufband angezeigt wird. '
  . 'Dieser Text kann auch HTML-Formatierung oder einen HTML-Link (&#60a href=...&#62 Ihr Text &#60/a&#62) enthalten. '
  . 'Möchten Sie nur den Text ändern und die Formatierung und Links beibehalten, dann sollten Sie die Passagen, '
  . 'die zwischen den Zeichen &#60...&#62 stehen sind, nicht verändern.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTHTML);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursAnzeigeTrennen';
$setting->description = 'Ausgabe der Kursübersicht in 2 separaten Bereichen';
$setting->help = 'Die Ausgabe der Kursübersicht erfolgt in 2 getrennten Bereichen, wobei '
   . 'im oberen Bereich die kommenden Kurse, und im unteren Bereich die bereits begonnenen Kurse '
   . 'angezeigt werden.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kategorienImmerMitKursen';
$setting->description = 'Kurse der Unterkategorien sofort anzeigen';
$setting->help = 'Statt die Kurse nur in den Blattkategorien anzuzeigen, werden sie hier von Beginn an aufgeführt.'
        . ' Die Unterkategorien müssen im Header der Sicht 12 über die Variablen {%kat_unterkategorienliste_sicht261%} oder {%kat_unterkategorienliste%} (Sicht 412) eingeblendet werden.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'ausgebuchteKurseInitialAusblenden';
$setting->description = 'ausgebuchte Kurse initial ausblenden';
$setting->help = 'Diese Einstellung wirkt sich auf die Kategorienübersicht von KuferWEB aus und ist durch Requestparameter übersteuerbar. Nur <b>nutzbar</b>, wenn "Kurse der Unterkategorien sofort anzeigen" aktiviert ist.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'begonneneKurseInitialAusblenden';
$setting->description = 'begonnene Kurse initial ausblenden';
$setting->help = 'Diese Einstellung wirkt sich auf die Kategorienübersicht von KuferWEB aus und ist durch Requestparameter übersteuerbar. <b>Nur nutzbar</b>, wenn "Kurse der Unterkategorien sofort anzeigen" aktiviert ist.';
$setting->subGroup = 'Allgemein';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurse';
$setting->description = 'Kriterium 1: Sortierung der Kurse (Kurssuche)';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array();
$setting->config->items['nr'] = 'nach Kursnummer *';
$setting->config->items['beginn_dat'] = 'nach Beginn';
if (System::isDbMySql()) {
  $setting->config->items[WB_KURSE_SORTIERUNG_ALTE_HINTEN] = 'nach Beginn, ältere Kurse hinten anzeigen ***';
}
$setting->config->items['progh_sort'] = 'nach Programmheftsortierung';
$setting->config->items['ort'] = 'nach Ort';
$setting->config->items['beginn'] = 'nach Beginn Uhrzeit';
$setting->config->items['aussenst'] = 'nach Aussenstelle';
if (System::isDbMySql()) {
  $textKurseSortAsBestimmte = 'erst Kurse der Außenstelle x **';
  $setting->config->items[WB_KURSE_SORTIERUNG_AS_ERST_BESTIMMTE] = $textKurseSortAsBestimmte . ', Variante A';
  $setting->config->items[WB_KURSE_SORTIERUNG_AS_ERST_BESTIMMTE_DANN_FREI] = $textKurseSortAsBestimmte . ', Variante B';
  $setting->config->items[WB_KURSE_SORTIERUNG_KURZBEZ_TITEL_KNR] = 'nach Titel, Titel Programmheft (wenn Titel leer)';
  $setting->config->items[WB_KURSE_SORTIERUNG_TITEL_KURZBEZ_KNR] = 'nach Titel Programmheft, Titel (wenn Titel Programmheft leer)';
}
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortknrab';
$setting->description = '* Sortierung nach Kursnummer ab Stelle';
$setting->help = 'Nur bei einer Sortierung nach Kursnummer unter Kriterium 1.';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 2;
$setting->config->maxLength = 2;
array_push($settingsArray, $setting);

if (System::isDbMySql()) {
  
  if (defined('ADMIN_SHOW_PAGE')) {
    $dbwas = new DBWorkHLAussenstellen();
    $as = $dbwas->getAussenstellen();
    $aslist = array();
    foreach ($as as $aussenst) {
      $aslist[$aussenst->bezeichner] = \CleanOperations::cleanStringForHtml($aussenst->bezeichner);
    }
  } else {
    $aslist = array();
  }
  $setting = new Setting();
  $setting->name = 'sortkurseasbestimmte';
  $setting->description = '** erst die Kurse dieser Außenstelle anzeigen';
  $setting->help = 'Nur bei einer Sortierung nach "' . $textKurseSortAsBestimmte . '".<br>'
          . 'Bei Variante A werden die weiteren Kurse alphabetisch erst nach deren Außenstellen und dann nach Kriterium 2 sortiert.<br>'
          . 'Bei Variante B werden die weiteren Kurse gleich nach Kriterium 2 sortiert.';
  $setting->subGroup = 'Sortierung der Kurse';
  $setting->toolId = 4;
  $setting->config->loadConfiguration(SC_SELECTBOX);
  $setting->config->isHtml = true;
  $setting->config->items = array_merge(array('' => '--- Außenstelle auswählen ---'), $aslist);
  array_push($settingsArray, $setting);

  $setting = new Setting();
  $setting->name = 'sortkurseAelterAlsXTageHinten';
  $setting->description = '*** Kurse die älter sind als x Tage hinten anzeigen';
  $setting->help = 'Nur bei einer Sortierung nach "nach Beginn, ältere Kurse hinten anzeigen" unter Kriterium 1.<br>'
          . 'Kurse, deren Kursbeginn mehr als x Tage zurückliegt, werden in der Kursauflistung hinten angezeigt';
  $setting->subGroup = 'Sortierung der Kurse';
  $setting->toolId = 4;
  $setting->config->loadConfiguration(SC_INPUTNUMERIC);
  $setting->config->size = 2;
  $setting->config->maxLength = 3;
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'sortkurseasc';
$setting->description = 'Kriterium 1: Sortierungsrichtung';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'proghsortasint';
$setting->description = 'Kriterium 1: Programmheft Sortierungsfeld als Zahl interpretieren';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);



$setting = new Setting();
$setting->name = 'sortkurse2';
$setting->description = 'Kriterium 2: Sortierung der Kurse (Kurssuche)';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'nr' => 'nach Kursnummer',
  'beginn_dat' => 'nach Beginn',
  'progh_sort' => 'nach Programmheftsortierung',
  'ort' => 'aufsteigend nach Ort',
  'beginn' => 'nach Beginn Uhrzeit',
  'aussenst' => 'nach Aussenstelle'
);
if (System::isDbMySql()) {
  $setting->config->items[WB_KURSE_SORTIERUNG_KURZBEZ_TITEL_KNR] = 'nach Titel, Titel Programmheft (wenn Titel leer)';
  $setting->config->items[WB_KURSE_SORTIERUNG_TITEL_KURZBEZ_KNR] = 'nach Titel Programmheft, Titel (wenn Titel Programmheft leer)';
}
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurseasc2';
$setting->description = 'Kriterium 2: Sortierungsrichtung';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'proghsortasint2';
$setting->description = 'Kriterium 2 Programmheft Sortierungsfeld als Zahl interpretieren';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'sortkursekat';
$setting->description = 'Sortierung der Kurse - unter dem Punkt Kategorien';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'wie für die Kurssuche oben angegeben',
  '1' => 'erst nach Datum, dann Uhrzeit, dann Kursnummer',
  '2' => 'erst nach Datum, dann Kursnummer',
  '3' => 'nach Kursnummer'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkursekatasc';
$setting->description = 'Sortierungsrichtung - unter dem Punkt Kategorien';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurseskat';
$setting->description = 'Sortierung der Kurse - unter dem Punkt Sonderkategorien';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'wie für die Kurssuche oben angegeben',
  '1' => 'erst nach Datum, dann Uhrzeit, dann Kursnummer',
  '2' => 'erst nach Datum, dann Kursnummer',
  '3' => 'nach Kursnummer'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurseskatasc';
$setting->description = 'Sortierungsrichtung - unter dem Punkt Sonderkategorien';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkursedemn';
$setting->description = 'Sortierung der Kurse - unter dem Punkt Demnächst';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'wie für die Kurssuche oben angegeben',
  '1' => 'erst nach Datum, dann Uhrzeit, dann Kursnummer',
  '2' => 'erst nach Datum, dann Kursnummer',
  '3' => 'nach Kursnummer'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkursedemnasc';
$setting->description = 'Sortierungsrichtung - unter dem Punkt Demnächst';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurselm';
$setting->description = 'Sortierung der Kurse - unter dem Punkt Last-Minute';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'wie für die Kurssuche oben angegeben',
  '1' => 'erst nach Datum, dann Uhrzeit, dann Kursnummer',
  '2' => 'erst nach Datum, dann Kursnummer',
  '3' => 'nach Kursnummer'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkurselmasc';
$setting->description = 'Sortierungsrichtung - unter dem Punkt Last-Minute';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkursegesamtuebersichtkriterium';
$setting->description = 'Sortierungskriterium - unter dem Punkt Gesamtübersicht';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '' => 'wie für die Kurssuche oben angegeben',
  '1' => 'erst nach Datum, dann Uhrzeit, dann Kursnummer',
  '2' => 'erst nach Datum, dann Kursnummer',
  '3' => 'nach Kursnummer'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortkursegesamtuebersichtrichtung';
$setting->description = 'Sortierungsrichtung - unter dem Punkt Gesamtübersicht';
$setting->help = '';
$setting->subGroup = 'Sortierung der Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurseGesamtuebersichtAlleDatenLaden';
$setting->description = 'Alle Kursdaten laden';
$setting->help = 'Die Gesamtübersicht / Kursübersicht alle Kurse ist eigentlich darauf ausgelegt, zu sehr vielen Kursen '
        . 'nur wenige Informationen anzuzeigen. Sollen weitergehende Informationen wie z.B. die Ampel '
        . 'in Sicht 244 ausgegeben werden, ist dieser Schalter zu setzen. Je nach Inhalt der Sicht kann sich das Setzen '
        . 'des Schalters positiv oder negativ auf die Ladezeit auswirken.';
$setting->subGroup = 'Gesamtübersicht / Kursübersicht alle Kurse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'statusSpanStattH';
$setting->description = 'Statusmeldungen mit folgendem HTML Tag einschließen';
$setting->help = '';
$setting->subGroup = 'Statusmeldungen';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'span' => 'span',
  'h1' => 'h1',
  '' => 'h2',
  'h3' => 'h3',
  'none' => 'keinem'
);
array_push($settingsArray, $setting);